Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.inventory
Class ContainerFurnace

    java.lang.Object
      net.minecraft.inventory.Container
          net.minecraft.inventory.ContainerFurnace

    public class ContainerFurnace

extends Container

Field Summary

Fields inherited from class net.minecraft.inventory.Container
`inventoryItemStacks, inventorySlots, windowId`

Constructor Summary
`ContainerFurnace(InventoryPlayer par1InventoryPlayer, TileEntityFurnace par2TileEntityFurnace)`

Method Summary
`void` | `addCraftingToCrafters(ICrafting par1ICrafting)`
`boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
`ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.
`void` | `updateCraftingResults()` Updates crafting matrix; called from onCraftMatrixChanged.
`void` | `updateProgressBar(int par1, int par2)`

Methods inherited from class net.minecraft.inventory.Container
`enchantItem, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, onCraftGuiClosed, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerFurnace

    public ContainerFurnace(InventoryPlayer par1InventoryPlayer,
                            TileEntityFurnace par2TileEntityFurnace)

Method Detail

### addCraftingToCrafters

    public void addCraftingToCrafters(ICrafting par1ICrafting)

  Overrides:
    `addCraftingToCrafters` in class `Container`

### updateCraftingResults

    public void updateCraftingResults()

  Updates crafting matrix; called from onCraftMatrixChanged. Args: none

  Overrides:
    `updateCraftingResults` in class `Container`

### updateProgressBar

    public void updateProgressBar(int par1,
                                  int par2)

  Overrides:
    `updateProgressBar` in class `Container`

### canInteractWith

    public boolean canInteractWith(EntityPlayer par1EntityPlayer)

  Specified by:
    `canInteractWith` in class `Container`

### transferStackInSlot

    public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                         int par2)

  Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.

  Overrides:
    `transferStackInSlot` in class `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD